extern int feof(char *):"_feof";
extern char *fopen(char *,char *):"_fopen";
extern int fscanf(char *Stream,char *Format,...):"_fscanf";
extern int read(int Handle,char *buf,int len):"_read";
extern int scanf(char *Format,...):"_scanf";
extern int sscanf(char *Buffer,char *Format,...):"_sscanf";
extern int vfscanf(char *Stream,char *Format,char *ArgList):"_vfscanf";
extern int vscanf(char *Format,char* ArgList):"_vscanf";
extern char *stpcpy(char *,char*):"_stpcpy";
extern char *strcat(char *,char *):"_strcat";
extern char *strchr(char *,int):"_strchr";
extern int strcmp(char *,char *):"_strcmp";
extern int strcoll(char *,char *):"_strcoll";
extern char *strcpy(char *,char *):"_strcpy";
extern int strcspn(char *,char *):"_strcspn";
extern char *strdup(char *):"_strdup";
extern int strlen(char *):"_strlen";
extern char *strlwr(char *):"_strlwr";
extern char *strupr(char *):"_strupr";
extern char *strncat(char *,char *,int size):"_strncat";
extern int strncmp(char *,char *,int):"_strncmp";
extern char *strnset(char *,int,int):"_strnset";
extern char *strpbrk(char *,char *,int):"_strpbrk";
extern char *strrchr(char *,int):"_strrchr";
extern char *strset(char *,int):"_strset";
extern int unlink(char *):"_unlink";
extern int write(int,char *,int):"__write";
extern int ungetc(int Char,char* Stream):"_ungetc";
extern int bioskey(int):"_bioskey";
extern int _bios_keybrd(int):"__bios_keybrd";
const _KEYBRD_READ=0;
const _NKEYBRD_READ=0;
const _KEYBRDREADY=1;
const _KEYBRD_SHIFTSTATUS=2;
const _NKEYBRD_SHIFTSTATUS=2;
extern int clock():"_clock";
extern int close(int):"_close";
extern int _close(int):"__close";
extern int fcloseall():"_fcloseall";
extern int coreleft():"_coreleft";
extern delay(int):"_delay";
extern _dos_getfileattr(char*,int*):"__dos_getfileattr";
const FA_NORMAL=0x00;	     /* Normal file, no attributes */
const FA_RDONLY=0x01;	     /* Read only attribute */
const FA_HIDDEN=0x02;	     /* Hidden file */
const FA_SYSTEM=0x04;	     /* System file */
const FA_LABEL=0x08;	   /* Volume label */
const FA_DIREC=0x10;	    /* Directory */
const FA_ARCH=0x20;	   /* Archive */
extern int fclose(char *):"_fclose";
extern int fflush(char *):"_fflush";

extern int fprintf(char *,char*,...):"_fprintf";
extern int fputs(char *s,char *):"_fputs";
extern int fread(char *,int,int,char *):"_fread";
extern int fseek(char*,int,int,int):"_fseek";
const SEEK_CUR=1;
const SEEK_END=2;
const SEEK_SET=0;
extern int fsetpos(char *,int *):"_fsetpos";
extern int fwrite(char *,int,int,char *):"_write";
extern int fgetc(char *):"_fgetc";
extern int lseek(int,int,int,int):"_lseek";
extern char *memcpy(char*,char *,int):"_memcpy";
extern char *malloc(int):"_malloc";
extern free (char *):"_free";
extern realloc (char *,int size):"_realloc";
extern int printf(char *,...):"_printf";
extern int fputc(int,char *):"_fputc";
extern int fputchar(int):"_fputchar";
//extern puts(char *);
extern sound(int):"_sound";
extern nosound():"_nosound";
const BLACK=0;
const BLUE=1;
const GREEN=2;
const CYAN=3;
const RED=4;
const MAGENTA=5;
const BROWN=6;
const LIGHTGRAY=7;
const DARKGRAY=8;
const LIGHTBLUE=9;
const LIGHTGREEN=10;
const LIGHTCYAN=11;
const LIGHTRED=12;
const LIGHTMAGENTA=13;
const YELLOW=14;
const WHITE=15;

extern beep();
extern clrscr();
extern cputc(char c);
extern cputs(char *):"_cputs";
extern int GetTextColor();
extern int GetTextBackground();
extern SetTextColor(int);
extern SetTextBackground(int);
extern gotoxy(int,int);
extern cputi(int);
extern cputw(int);
extern cputh(int);
extern char CurrentTextAttribute:"@CharAttribute";

extern int _streams:"__streams";
extern puts(int):"_puts";

//attach("crt.obj");